org.jboss.jca.core.api.bootstrap

## Interface CloneableBootstrapContext

- All Superinterfaces:
    javax.resource.spi.BootstrapContext, java.lang.Cloneable

      public interface CloneableBootstrapContext
      extends java.lang.Cloneable, javax.resource.spi.BootstrapContext

  The cloneable bootstrap context interface which defines the contract for all BootstrapContext implementations
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloneableBootstrapContext` | `clone()` Clone the BootstrapContext implementation
    `java.lang.String` | `getId()` Get the id of the bootstrap context
    `java.lang.String` | `getName()` Get the name of the bootstrap context
    `java.lang.String` | `getWorkManagerName()` Get the name of the work manager
    `void` | `setId(java.lang.String v)` Set the id of the bootstrap context
    `void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)` Set the resource adapter
    `void` | `setTransactionSynchronizationRegistry(javax.transaction.TransactionSynchronizationRegistry tsr)` Set the transaction synchronization registry
    `void` | `setWorkManager(WorkManager wm)` Set the work manager - internal use only
    `void` | `setWorkManagerName(java.lang.String wmn)` /** Set the name of the work manager
    `void` | `setXATerminator(javax.resource.spi.XATerminator xt)` Set the XA terminator
    `void` | `shutdown()` Shutdown

    - ### Methods inherited from interface javax.resource.spi.BootstrapContext

      `createTimer, getTransactionSynchronizationRegistry, getWorkManager, getXATerminator, isContextSupported`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Get the id of the bootstrap context
      Returns:
        The value

    - #### setId

          void setId(java.lang.String v)

      Set the id of the bootstrap context
      Parameters:
        `v` - The value

    - #### getName

          java.lang.String getName()

      Get the name of the bootstrap context
      Returns:
        The value

    - #### setResourceAdapter

          void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)

      Set the resource adapter
      Parameters:
        `ra` - The handle

    - #### setTransactionSynchronizationRegistry

          void setTransactionSynchronizationRegistry(javax.transaction.TransactionSynchronizationRegistry tsr)

      Set the transaction synchronization registry
      Parameters:
        `tsr` - The handle

    - #### setWorkManager

          void setWorkManager(WorkManager wm)

      Set the work manager - internal use only
      Parameters:
        `wm` - The handle

    - #### getWorkManagerName

          java.lang.String getWorkManagerName()

      Get the name of the work manager
      Returns:
        The value

    - #### setWorkManagerName

          void setWorkManagerName(java.lang.String wmn)

      /** Set the name of the work manager
      Parameters:
        `wmn` - The name

    - #### setXATerminator

          void setXATerminator(javax.resource.spi.XATerminator xt)

      Set the XA terminator
      Parameters:
        `xt` - The handle

    - #### shutdown

          void shutdown()

      Shutdown

    - #### clone

          CloneableBootstrapContext clone()
                                   throws java.lang.CloneNotSupportedException

      Clone the BootstrapContext implementation
      Returns:
        A copy of the implementation
      Throws:
        `java.lang.CloneNotSupportedException` - Thrown if the copy operation isn't supported

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)